Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 05-04-2020 14:05:59

dorian774
Membre
Inscription : 16-10-2019

Problème lors de la mise a jour

Coucou cool


J'utilise upgrade-system pour faire mes mises a jour mensuel.Tout allait bien j'usqu'a ce matin:

 Updating package lists:
E: The repository 'http://download.opensuse.org/repositories/home:/strycore/Debian_9.0 ./ Release' does no longer have a Release file.
E: Some package lists could not be updated.
 




D'ou peut venir cette erreur ?
Merci

Hors ligne

#2 05-04-2020 14:25:25

raleur
Membre
Inscription : 03-10-2014

Re : Problème lors de la mise a jour

http://download.opensuse.org/repositori … /strycore/ ne contient pas de répertoire "Debian_9.0". S'il y était, il a été supprimé.

Il vaut mieux montrer que raconter.

Hors ligne

#3 05-04-2020 14:47:14

dorian774
Membre
Inscription : 16-10-2019

Re : Problème lors de la mise a jour

Ça signifie que je peux plus faire les maj ?

Hors ligne

#4 05-04-2020 15:06:45

raleur
Membre
Inscription : 03-10-2014

Re : Problème lors de la mise a jour

Pas avec la version 9. Il faut passer à la version 10, ce qui nécessite peut-être de mettre à jour toute la distribution.

Il vaut mieux montrer que raconter.

Hors ligne

#5 05-04-2020 18:51:52

dorian774
Membre
Inscription : 16-10-2019

Re : Problème lors de la mise a jour

Est-ce qu'il y a un tuto ou autre pour passer sur debian 10 en ligne de commande sans avoir besoin de refaire un iso ?

Hors ligne

#6 05-04-2020 22:37:54

ubub
Membre
Distrib. : debian 10 buster/stable
(G)UI : xfce
Inscription : 14-05-2019

Re : Problème lors de la mise a jour

Salut,

Est-ce qu'il y a un tuto ou autre pour passer sur debian 10 en ligne de commande sans avoir besoin de refaire un iso ?


Y'en a plein , et je pense qu'en cherchant sur le wiki de DF, celui de Debian ou dans les discuss ions du forum, tu trouveras ce que tu cherches.
Mais je pense qu'avant, faut mettre ton système à jour. Pour cela faudrait que tu changes ton sources.list par celui proposé par Debian
https://debian-facile.org/doc:apt:sources.list:stretch
Et de là, tu peux soit rester sous Debian 9, maintenue encore pour un moment, soit migrer sous Debian 10..
Et faudra que tu rechange ton sources.list
https://www.debian.org/releases/stable/ … ng.fr.html

Dernière modification par ubub (05-04-2020 22:39:01)

Hors ligne

#7 06-04-2020 10:19:57

dorian774
Membre
Inscription : 16-10-2019

Re : Problème lors de la mise a jour

Coucou,

J'ai changé mon source.list avec le 1er lien que tu m'as donné mais j'ai toujours la meme erreur en lançant apt-get update

apt-get update
Atteint:1 http://security.debian.org stretch/updates InRelease
Ign:2 http://dl.google.com/linux/chrome/deb stable InRelease                                                                                                
Ign:3 http://deb.debian.org/debian stretch InRelease                                                                                                        
Ign:4 http://download.opensuse.org/repositories/home:/strycore/Debian_9.0 ./ InRelease                                                                                                                              
Atteint:6 http://dl.google.com/linux/chrome/deb stable Release                                                                    
Atteint:7 http://deb.debian.org/debian stretch-updates InRelease                                                                  
Err:8 http://download.opensuse.org/repositories/home:/strycore/Debian_9.0 ./ Release            
  404  Not Found [IP : 2620:113:80c0:8::13 80]
Atteint:9 http://deb.debian.org/debian stretch Release        
Atteint:10 https://deb.nodesource.com/node_8.x stretch InRelease
Atteint:11 https://repo.skype.com/deb stable InRelease
Atteint:12 https://dl.winehq.org/wine-builds/debian stretch InRelease
Lecture des listes de paquets... Fait
E: The repository 'http://download.opensuse.org/repositories/home:/strycore/Debian_9.0 ./ Release' does no longer have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
 

Dernière modification par dorian774 (06-04-2020 10:20:34)

Hors ligne

#8 06-04-2020 10:29:23

Jean-Pierre Pinson
Membre
Lieu : Orléans
Distrib. : Trisquel 8 64bits Ordi.: Thinkpad T400
Noyau : 4.15.0-55-generic x86_64
(G)UI : xfce
Inscription : 04-03-2017

Re : Problème lors de la mise a jour

upgrader debian stretch vers buster -> https://serveuramoi.ovh/index.php/2019/ … rs-buster/

Trisquel 8 64bits
Bureau : xfce
Ordinateur : Thinkpad T400 libreboot

Hors ligne

#9 06-04-2020 11:04:41

ubub
Membre
Distrib. : debian 10 buster/stable
(G)UI : xfce
Inscription : 14-05-2019

Re : Problème lors de la mise a jour

Salut,

J'ai changé mon source.list avec le 1er lien que tu m'as donné mais j'ai toujours la meme erreur en lançant apt-get update


Aaargh, au vu de ces lignes:

Ign:4 http://download.opensuse.org/repositories/home:/strycore/Debian_9.0 ./ InRelease
Err:8 http://download.opensuse.org/repositories/home:/strycore/Debian_9.0 ./ Release            
  404  Not Found [IP : 2620:113:80c0:8::13 80]


Y'a encore les lignes pour le dépot d'Open Suse
regarde dans le fichier /etc/apt/sources.list.d/ si elles ne sont pas là ..

Hors ligne

#10 06-04-2020 12:13:51

raleur
Membre
Inscription : 03-10-2014

Re : Problème lors de la mise a jour

dorian774 a écrit :

Est-ce qu'il y a un tuto ou autre pour passer sur debian 10 en ligne de commande sans avoir besoin de refaire un iso ?


Il faut lire et suivre les notes de publication accessibles en quelques clics depuis le site de Debian. Les tutoriels sont au mieux inutiles, au pire dangereux.

ubub a écrit :

Mais je pense qu'avant, faut mettre ton système à jour.


Et un peu plus à l'ouest... C'est précisément ce que dorian774 veut faire.

dorian774 a écrit :

J'ai changé mon source.list


Mais tu n'as visiblement pas changé le dépôt qui n'existe plus.
Qu'as-tu changé exactement ? On voit toujours du stretch dans les dépôts recherchés.

Dernière modification par raleur (06-04-2020 12:14:58)


Il vaut mieux montrer que raconter.

Hors ligne

#11 06-04-2020 12:43:39

ubub
Membre
Distrib. : debian 10 buster/stable
(G)UI : xfce
Inscription : 14-05-2019

Re : Problème lors de la mise a jour

raleur a écrit :


On voit toujours du stretch dans les dépôts recherchés.

ubub a écrit :

    Mais je pense qu'avant, faut mettre ton système à jour.




Et un peu plus à l'ouest... C'est précisément ce que dorian774 veut faire.

Hors ligne

#12 06-04-2020 13:23:48

dorian774
Membre
Inscription : 16-10-2019

Re : Problème lors de la mise a jour

Actuellement je tente de faire la migration sur debian10, je suis le tutoriel que m'a donné un membre un peu plus haut:
https://serveuramoi.ovh/index.php/2019/ … rs-buster/

mais je rencontre une erreur lors de l'installation des nouveaux paquets, je lance la commande:

sudo apt full-upgrade



Le téléchargement entier se passe bien mais a l'installation des paquets ça se bloque a 23% avec l'erreur suivante:

Preparing to unpack .../166-curl_7.64.0-4+deb10u1_amd64.deb ...
Unpacking curl (7.64.0-4+deb10u1) over (7.52.1-5+deb9u10) ...
Errors were encountered while processing:
 /tmp/apt-dpkg-install-pu1bpg/127-libjsp-api-java_2.3.4-2_all.deb
 /tmp/apt-dpkg-install-pu1bpg/128-libel-api-java_3.0.0-2_all.deb
 /tmp/apt-dpkg-install-pu1bpg/129-libwebsocket-api-java_1.1-1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Hors ligne

Pied de page des forums